Index: EcnlProtoTool/trunk/asp3_dcre/cfg/cfg.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/cfg/cfg.rb	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/cfg/cfg.rb	(revision 321)
@@ -8,49 +8,34 @@
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 #
-#  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#      ã¨ï¼
-#    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#        å ±åãããã¨ï¼
-#  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#      å
-è²¬ãããã¨ï¼
-#
-#  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#  ã®è²¬ä»»ãè² ããªãï¼
-#
-#  $Id: cfg.rb 1011 2016-07-11 02:20:01Z coas-nagasima $
+#  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#      スコード中に含まれていること．
+#  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#      の無保証規定を掲載すること．
+#  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#      と．
+#    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#        作権表示，この利用条件および下記の無保証規定を掲載すること．
+#    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#        報告すること．
+#  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#      免責すること．
+#
+#  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#  の責任を負わない．
+#
+#  $Id$
 #
 
@@ -68,11 +53,10 @@
 
 #
-#  å®æ°å®ç¾©
-#
-# å
-±é
+#  定数定義
+#
+# 共通
 VERSION = "1.2.2"
 
-# cfg1_outé¢ä¿
+# cfg1_out関係
 CFG1_PREFIX        = "TOPPERS_cfg_"
 CFG1_MAGIC_NUM     = "TOPPERS_magic_number"
@@ -85,19 +69,19 @@
 CFG1_OUT_TARGET_H  = "target_cfg1_out.h"
 
-# cfg2_outé¢ä¿
+# cfg2_out関係
 CFG2_OUT_DB        = "cfg2_out.db"
 
-# cfg3_outé¢ä¿
+# cfg3_out関係
 CFG3_OUT_DB        = "cfg3_out.db"
 
 #
-#  ã¨ã©ã¼çºçæç¡ãã©ã°
+#  エラー発生有無フラグ
 #
 $errorFlag = false
 
 #
-#  ã¨ã©ã¼ï¼è­¦åè¡¨ç¤ºé¢æ°
-#
-# ä¸è¬çãªã¨ã©ã¼è¡¨ç¤ºï¼å¦çãä¸­æ­ï¼
+#  エラー／警告表示関数
+#
+# 一般的なエラー表示（処理を中断）
 def error_exit(message, location = "")
   location += " " if location != ""
@@ -105,5 +89,5 @@
 end
 
-# ä¸è¬çãªã¨ã©ã¼è¡¨ç¤ºï¼å¦çãç¶ç¶ï¼
+# 一般的なエラー表示（処理を継続）
 def error(message, location = "")
   location += " " if location != ""
@@ -112,5 +96,5 @@
 end
 
-# ä¸è¬çãªè­¦åè¡¨ç¤º
+# 一般的な警告表示
 def warning(message, location = "")
   location += " " if location != ""
@@ -118,5 +102,5 @@
 end
 
-# ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«ã®æ§æè§£ææã®ã¨ã©ã¼
+# システムコンフィギュレーションファイルの構文解析時のエラー
 $noParseError = 0
 def parse_error(cfgFile, message)
@@ -127,5 +111,5 @@
 end
 
-# ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«ã®æ§æè§£ææã®è­¦å
+# システムコンフィギュレーションファイルの構文解析時の警告
 def parse_warning(cfgFile, message)
   warning(message, "#{cfgFile.getFileName()}:#{cfgFile.getLineNo}:")
@@ -133,12 +117,12 @@
 
 #
-#  éçAPIå¦çæã®ã¨ã©ã¼ï¼è­¦åè¡¨ç¤ºé¢æ°
-#
-# éçAPIå¦çæã®ã¨ã©ã¼ï¼è­¦åãç­ãè¨è¿°ã§ããããã«ï¼ã¡ãã»ã¼ã¸ä¸­ã®%ã¾
-# ãã¯%%ã§å§ã¾ãè¨è¿°ãä»¥ä¸ã®ããã«å±éããï¼
-#	%label â #{params[:label]}
-#	%%label â label `#{params[:label]}'
-#
-# ã¨ã©ã¼ï¼è­¦åã¡ãã»ã¼ã¸ã®å±é
+#  静的API処理時のエラー／警告表示関数
+#
+# 静的API処理時のエラー／警告を短く記述できるように，メッセージ中の%ま
+# たは%%で始まる記述を以下のように展開する．
+#	%label → #{params[:label]}
+#	%%label → label `#{params[:label]}'
+#
+# エラー／警告メッセージの展開
 def expand_message(message, params)
   result = message.dup
@@ -156,5 +140,5 @@
 end
 
-# éçAPIå¦çæã®ã¨ã©ã¼
+# 静的API処理時のエラー
 def error_api(params, message)
   error(expand_message(message, params), \
@@ -162,5 +146,5 @@
 end
 
-# éçAPIå¦çæã®è­¦å
+# 静的API処理時の警告
 def warning_api(params, message)
   warning(expand_message(message, params), \
@@ -168,15 +152,15 @@
 end
 
-# éçAPIå¦çæã®ã¨ã©ã¼ï¼ã¨ã©ã¼ã³ã¼ãä»ãï¼
+# 静的API処理時のエラー（エラーコード付き）
 def error_ercd(errorCode, params, message)
   error_api(params, "#{errorCode}: #{message}")
 end
 
-# éçAPIå¦çæã®è­¦åï¼ã¨ã©ã¼ã³ã¼ãä»ãï¼
+# 静的API処理時の警告（エラーコード付き）
 def warning_ercd(errorCode, params, message)
   warning_api(params, "#{errorCode}: #{message}")
 end
 
-# ãã©ã¡ã¼ã¿ã®ã¨ã©ã¼
+# パラメータのエラー
 def error_wrong(errorCode, params, symbol, wrong)
   error_ercd(errorCode, params, "%%#{symbol} is #{wrong} in %apiname")
@@ -193,5 +177,5 @@
 end
 
-# ãã©ã¡ã¼ã¿ä¸æ­£ã®ã¨ã©ã¼
+# パラメータ不正のエラー
 def error_illegal(errorCode, params, symbol)
   error_ercd(errorCode, params, "illegal %%#{symbol} in %apiname")
@@ -209,9 +193,9 @@
 
 #
-#  Stringã¯ã©ã¹ã®æ¡å¼µï¼äºéå¼ç¨ç¬¦ã§å²ã¾ããæå­åã®ä½æï¼å±éï¼
+#  Stringクラスの拡張（二重引用符で囲まれた文字列の作成／展開）
 #
 class String
   #
-  #  äºéå¼ç¨ç¬¦ã§å²ã¾ããæå­åã®ä½æ
+  #  二重引用符で囲まれた文字列の作成
   #
   def quote
@@ -249,5 +233,5 @@
 
   #
-  #  äºéå¼ç¨ç¬¦ã§å²ã¾ããæå­åã®å±é
+  #  二重引用符で囲まれた文字列の展開
   #
   def unquote
@@ -299,5 +283,5 @@
 
 #
-#  NumStrã¯ã©ã¹ï¼æ°å¤ã«æå­åãä»å ãããã®ï¼ã®å®ç¾©
+#  NumStrクラス（数値に文字列を付加したもの）の定義
 #
 class NumStr
@@ -307,6 +291,5 @@
   end
 
-  # æ°å¤æ
-å ±ãè¿ã
+  # 数値情報を返す
   def val
     return @val
@@ -314,6 +297,5 @@
   alias_method :to_i, :val
 
-  # æå­åæ
-å ±ãè¿ã
+  # 文字列情報を返す
   def str
     return @str
@@ -321,6 +303,5 @@
   alias_method :to_s, :str
 
-  # æ¯è¼ã¯æ°å¤æ
-å ±ã§è¡ã
+  # 比較は数値情報で行う
   def ==(other)
     @val == other
@@ -333,16 +314,15 @@
   end
 
-  # ããã·ã¥ã®ã­ã¼ã¨ãã¦ä½¿ãæã®æ¯è¼ãæ°å¤æ
-å ±ã§è¡ã
+  # ハッシュのキーとして使う時の比較も数値情報で行う
   def eql?(other)
     @val == other.val
   end
 
-  # ããã·ã¥å¤ã®å®ç¾©ãä¸æ¸ããã
+  # ハッシュ値の定義も上書きする
   def hash
     return @val.hash
   end
 
-  # æ°å¤ã¯ã©ã¹ã¨æ¼ç®ã§ããããã«ãã
+  # 数値クラスと演算できるようにする
   def coerce(other)
     if other.kind_of?(Numeric)
@@ -353,15 +333,15 @@
   end
 
-  # äºéå¼ç¨ç¬¦ã§å²ã¾ããæå­åã®ä½æ
+  # 二重引用符で囲まれた文字列の作成
   def quote
     str.quote
   end
 
-  # äºéå¼ç¨ç¬¦ã§å²ã¾ããæå­åã®å±é
+  # 二重引用符で囲まれた文字列の展開
   def unquote
     str.unquote
   end
 
-  # ppæã®è¡¨ç¤º
+  # pp時の表示
   def pretty_print(q)
     q.text("[#{@val}(=0x#{@val.to_s(16)}),")
@@ -370,5 +350,5 @@
   end
 
-  # æªå®ç¾©ã®ã¡ã½ããã¯@valã«éã
+  # 未定義のメソッドは@valに送る
   def method_missing(*method)
     @val.send(*method)
@@ -377,8 +357,8 @@
 
 #
-#  ã·ã³ãã«ãã¡ã¤ã«ã®èª­ã¿è¾¼ã¿
-#
-#  ä»¥ä¸ã®ã¡ã½ããã¯ï¼GNUã®nmãçæããã·ã³ãã«ãã¡ã¤ã«ã«å¯¾å¿ãã¦ããï¼
-#  å¥ã®ãã¼ã«ã«å¯¾å¿ããå ´åã«ã¯ï¼ãã®ã¡ã½ãããæ¸ãæããã°ããï¼
+#  シンボルファイルの読み込み
+#
+#  以下のメソッドは，GNUのnmが生成するシンボルファイルに対応している．
+#  別のツールに対応する場合には，このメソッドを書き換えればよい．
 #
 def ReadSymbolFile(symbolFileName)
@@ -391,8 +371,8 @@
   symbolAddress = {}
   symbolFile.each do |line|
-    # ã¹ãã¼ã¹åºåãã§åè§£
+    # スペース区切りで分解
     fields = line.split(/\s+/)
 
-    # 3åã«ãªã£ã¦ããªãè¡ã¯é¤å¤
+    # 3列になっていない行は除外
     if fields.size == 3
       symbolAddress[fields[2]] = fields[0].hex
@@ -404,5 +384,5 @@
 
 #
-#  å¤åå¾ã·ã³ãã«ãã°ã­ã¼ãã«å¤æ°ã¨ãã¦å®ç¾©ãã
+#  値取得シンボルをグローバル変数として定義する
 #
 def DefineSymbolValue
@@ -415,19 +395,19 @@
 
 #
-#  ã¤ã³ã¯ã«ã¼ããã¹ãããã¡ã¤ã«ãæ¢ã
+#  インクルードパスからファイルを探す
 #
 def SearchFilePath(fileName)
   if File.exist?(fileName)
-    # æå®ãããã¡ã¤ã«ãã¹ã«å­å¨ãã
+    # 指定したファイルパスに存在する
     return fileName
   elsif /^\./ =~ fileName
-    # ç¸å¯¾ãã¹ãæå®ãã¦ãã¦è¦ã¤ãããªãã£ãå ´åï¼å­å¨ããªããã®ã¨ãã
-    #ï¼æå³ããªããã¡ã¤ã«ãå¯¾è±¡ã¨ãªããã¨ãé²æ­¢ï¼
+    # 相対パスを指定していて見つからなかった場合，存在しないものとする
+    #（意図しないファイルが対象となることを防止）
     return nil
   else
-    # åã¤ã³ã¯ã«ã¼ããã¹ãããã¡ã¤ã«å­å¨ãã§ãã¯
+    # 各インクルードパスからファイル存在チェック
     $includeDirectories.each do |includeDirectory|
       path = includeDirectory + "/" + fileName
-      # è¦ã¤ãã£ããç¸å¯¾ãã¹ãè¿ã
+      # 見つかったら相対パスを返す
       if File.exist?(path)
         return path
@@ -439,5 +419,5 @@
 
 #
-#  æå®ããçæã¹ã¯ãªããï¼trbãã¡ã¤ã«ï¼ãæ¤ç´¢ãã¦loadãã
+#  指定した生成スクリプト（trbファイル）を検索してloadする
 #
 def IncludeTrb(fileName)
@@ -451,10 +431,9 @@
 
 #
-#  ãã¹3ã®å¦ç
+#  パス3の処理
 #
 def Pass3
   #
-  #  ãã¹2ããå¼ãæ¸¡ãããæ
-å ±ããã¡ã¤ã«ããèª­ã¿è¾¼ã
+  #  パス2から引き渡される情報をファイルから読み込む
   #
   db = PStore.new(CFG2_OUT_DB)
@@ -472,10 +451,10 @@
 
   #
-  #  å¤åå¾ã·ã³ãã«ãã°ã­ã¼ãã«å¤æ°ã¨ãã¦å®ç¾©ãã
+  #  値取得シンボルをグローバル変数として定義する
   #
   DefineSymbolValue()
 
   #
-  #  çæã¹ã¯ãªããï¼trbãã¡ã¤ã«ï¼ãå®è¡ãã
+  #  生成スクリプト（trbファイル）を実行する
   #
   $trbFileNames.each do |trbFileName|
@@ -484,6 +463,5 @@
 
   #
-  #  ãã¹4ã«å¼ãæ¸¡ãæ
-å ±ããã¡ã¤ã«ã«çæ
+  #  パス4に引き渡す情報をファイルに生成
   #
   if $omitOutputDb.nil?
@@ -503,10 +481,9 @@
 
 #
-#  ãã¹4ã®å¦ç
+#  パス4の処理
 #
 def Pass4
   #
-  #  ãã¹3ããå¼ãæ¸¡ãããæ
-å ±ããã¡ã¤ã«ããèª­ã¿è¾¼ã
+  #  パス3から引き渡される情報をファイルから読み込む
   #
   db = PStore.new(CFG3_OUT_DB)
@@ -523,10 +500,10 @@
 
   #
-  #  å¤åå¾ã·ã³ãã«ãã°ã­ã¼ãã«å¤æ°ã¨ãã¦å®ç¾©ãã
+  #  値取得シンボルをグローバル変数として定義する
   #
   DefineSymbolValue()
 
   #
-  #  çæã¹ã¯ãªããï¼trbãã¡ã¤ã«ï¼ãå®è¡ãã
+  #  生成スクリプト（trbファイル）を実行する
   #
   $trbFileNames.each do |trbFileName|
@@ -536,5 +513,5 @@
 
 #
-#  çæã¹ã¯ãªããï¼trbãã¡ã¤ã«ï¼åãã®é¢æ°
+#  生成スクリプト（trbファイル）向けの関数
 #
 def SYMBOL(symbol)
@@ -564,5 +541,5 @@
 
 #
-#  ã°ã­ã¼ãã«å¤æ°ã®åæå
+#  グローバル変数の初期化
 #
 $kernel = nil
@@ -579,5 +556,5 @@
 
 #
-#  ãªãã·ã§ã³ã®å¦ç
+#  オプションの処理
 #
 OptionParser.new(banner="Usage: cfg.rb [options] CONFIG-FILE", 40) do |opt|
@@ -633,9 +610,8 @@
 
 #
-#  ãªãã·ã§ã³ã®ãã§ãã¯
+#  オプションのチェック
 #
 if $pass.nil?
-  # ãã¹ã®æå®ã¯å¿
-é 
+  # パスの指定は必須
   abort("`--pass' option is mandatory")
 elsif /^[1234]$/ !~ $pass
@@ -643,12 +619,10 @@
 end
 
-# ãã¹1ã§ã¯ï¼éçAPIãã¼ãã«ã¯å¿
-é 
+# パス1では，静的APIテーブルは必須
 if ($pass == "1" && $apiTableFileNames.empty?)
   abort("`--api-table' option must be specified in pass 1")
 end
 
-# ãã¹1ä»¥å¤ã§ã¯ï¼çæã¹ã¯ãªããï¼trbãã¡ã¤ã«ï¼ãå¿
-é 
+# パス1以外では，生成スクリプト（trbファイル）が必須
 if ($pass != "1" && $trbFileNames.empty?)
   abort("`--trb-file' must be specified except in pass 1")
@@ -656,5 +630,5 @@
 
 #
-#  ã«ã¼ãã«ãªãã·ã§ã³ã®å¦ç
+#  カーネルオプションの処理
 #
 case $kernel
@@ -666,6 +640,5 @@
 
 #
-#  IDçªå·å
-¥åãã¡ã¤ã«ã®åãè¾¼ã¿
+#  ID番号入力ファイルの取り込み
 #
 $inputObjid = {}
@@ -686,5 +659,5 @@
 
 #
-#  æå®ãããã·ã³ãã«ãã¡ã¤ã«ã®èª­ã¿è¾¼ã¿
+#  指定されたシンボルファイルの読み込み
 #
 if !$romSymbolFileName.nil?
@@ -697,5 +670,5 @@
 
 #
-#  æå®ãããSã¬ã³ã¼ããã¡ã¤ã«ã®èª­ã¿è¾¼ã¿
+#  指定されたSレコードファイルの読み込み
 #
 if !$romImageFileName.nil?
@@ -708,5 +681,5 @@
 
 #
-#  ãã¹ã«å¾ã£ã¦åå¦çãå®è¡
+#  パスに従って各処理を実行
 #
 case $pass
@@ -725,10 +698,10 @@
 end
 
-# ã¨ã©ã¼çºçæã¯abortãã
+# エラー発生時はabortする
 if $errorFlag
   if ($0 == __FILE__)
     abort()
   else
-    # simplecovå¯¾å¿
+    # simplecov対応
     raise()
   end
@@ -736,10 +709,10 @@
 
 #
-#  ä½æãããã¹ã¦ã®ãã¡ã¤ã«ãåºåãã
+#  作成したすべてのファイルを出力する
 #
 GenFile.output
 
 # 
-#  ã¿ã¤ã ã¹ã¿ã³ããã¡ã¤ã«ã®çæ
+#  タイムスタンプファイルの生成
 # 
 if !$timeStampFileName.nil?
Index: EcnlProtoTool/trunk/asp3_dcre/cfg/pass1.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/cfg/pass1.rb	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/cfg/pass1.rb	(revision 321)
@@ -7,57 +7,42 @@
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 #
-#  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#      ã¨ï¼
-#    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#        å ±åãããã¨ï¼
-#  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#      å
-è²¬ãããã¨ï¼
-#
-#  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#  ã®è²¬ä»»ãè² ããªãï¼
-#
-#  $Id: pass1.rb 1011 2016-07-11 02:20:01Z coas-nagasima $
-#
-
-#
-#		ãã¹1ã®å¦ç
-#
-
-#
-#  å¤åå¾ã·ã³ãã«ãã¼ãã«ã¸ã®åºå®ç»é²
+#  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#      スコード中に含まれていること．
+#  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#      の無保証規定を掲載すること．
+#  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#      と．
+#    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#        作権表示，この利用条件および下記の無保証規定を掲載すること．
+#    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#        報告すること．
+#  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#      免責すること．
+#
+#  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#  の責任を負わない．
+#
+#  $Id$
+#
+
+#
+#		パス1の処理
+#
+
+#
+#  値取得シンボルテーブルへの固定登録
 #
 $symbolValueTable = {
@@ -80,5 +65,5 @@
 
 #
-#  éçAPIãã¼ãã«ã¸ã®åºå®ç»é²
+#  静的APIテーブルへの固定登録
 #
 $apiDefinition = { "INCLUDE" =>
@@ -86,5 +71,5 @@
 
 #
-#  éçAPIãã¼ãã«ã®èª­ã¿è¾¼ã¿
+#  静的APIテーブルの読み込み
 #
 def ReadApiTableFile
@@ -102,9 +87,9 @@
     apiFile = File.open(apiTableFileName)
     apiFile.each do |line|
-      next if /^#/ =~ line			# ã³ã¡ã³ããã¹ã­ãã
-
-      fields = line.split(/\s+/)	# ãã£ã¼ã«ãã«åè§£
-
-      apiName = fields.shift		# APIåã®åãåºã
+      next if /^#/ =~ line			# コメントをスキップ
+
+      fields = line.split(/\s+/)	# フィールドに分解
+
+      apiName = fields.shift		# API名の取り出し
       if /^(.+)\[(.+)\]$/ =~ apiName
         apiName = $1
@@ -127,17 +112,16 @@
 
           case prefix
-          when "#"					# ãªãã¸ã§ã¯ãè­å¥åï¼å®ç¾©ï¼
+          when "#"					# オブジェクト識別名（定義）
             apiParam[:ID_DEF] = true
-          when "%"					# ãªãã¸ã§ã¯ãè­å¥åï¼åç
-§ï¼
+          when "%"					# オブジェクト識別名（参照）
             apiParam[:ID_REF] = true
-          when "."					# ç¬¦å·ç¡ãæ´æ°å®æ°å¼ãã©ã¡ã¼ã¿
+          when "."					# 符号無し整数定数式パラメータ
             apiParam[:EXPTYPE] = "unsigned_t"
-          when "+"					# ç¬¦å·ä»ãæ´æ°å®æ°å¼ãã©ã¡ã¼ã¿
+          when "+"					# 符号付き整数定数式パラメータ
             apiParam[:EXPTYPE] = "signed_t"
             apiParam[:SIGNED] = true
-          when "&"					# ä¸è¬æ´æ°å®æ°å¼ãã©ã¡ã¼ã¿
+          when "&"					# 一般整数定数式パラメータ
             # do nothing
-          when "$"					# æå­åå®æ°å¼ãã©ã¡ã¼ã¿
+          when "$"					# 文字列定数式パラメータ
             apiParam[:STRING] = true
           else
@@ -146,9 +130,9 @@
 
           case postfix
-          when "*"					# ã­ã¼ãæ±ºãããã©ã¡ã¼ã¿
+          when "*"					# キーを決めるパラメータ
             apiDef[:KEYPAR] = name
-          when "?"					# ãªãã·ã§ã³ãã©ã¡ã¼ã¿
+          when "?"					# オプションパラメータ
             apiParam[:OPTIONAL] = true
-          when "\.\.\."				# ãªã¹ããã©ã¡ã¼ã¿
+          when "\.\.\."				# リストパラメータ
             apiParam[:LIST] = true
           end
@@ -175,5 +159,5 @@
 
 #
-#  å¤åå¾ã·ã³ãã«ãã¼ãã«ã®èª­ã¿è¾¼ã¿
+#  値取得シンボルテーブルの読み込み
 #
 def ReadSymvalTable
@@ -186,5 +170,5 @@
     symvalCsv = CSV.open(symvalTableFileName)
     symvalCsv.each do |record|
-      # å¤æ°å
+      # 変数名
       if record[0].nil?
         error_exit("invalid variable name in `#{fileName}'")
@@ -194,5 +178,5 @@
       variable = record[0]
 
-      # å¼
+      # 式
       if record[1].nil? || record[1].empty?
         symbol[:EXPR] = variable
@@ -201,22 +185,22 @@
       end
 
-      # å¼ã®å
+      # 式の型
       if !record[2].nil? && !record[2].empty?
         case record[2]
-        when /^[bB]/				# çå½å¤
+        when /^[bB]/				# 真偽値
           symbol[:BOOL] = true
-        when /^[uU]/				# ç¬¦å·ç¡ãæ´æ°å¤
-          # ä½ãè¨­å®ããªã
-        else						# ç¬¦å·ä»ãæ´æ°å¤
+        when /^[uU]/				# 符号無し整数値
+          # 何も設定しない
+        else						# 符号付き整数値
           symbol[:SIGNED] = true
         end
       end
 
-      # ã³ã³ãã¤ã«æ¡ä»¶
+      # コンパイル条件
       if !record[3].nil? && !record[3].empty?
         symbol[:CONDITION] = record[3]
       end
 
-      # æ¡ä»¶ãæç«ããªãæã®å¼
+      # 条件が成立しない時の式
       if !record[4].nil? && !record[4].empty?
         symbol[:ELSE_EXPR] = record[4]
@@ -230,5 +214,5 @@
 
 #
-#  ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«ããã®èª­ã¿è¾¼ã¿ã¯ã©ã¹
+#  システムコンフィギュレーションファイルからの読み込みクラス
 #
 class ConfigFile
@@ -256,6 +240,6 @@
     if @withinComment
       case line
-      when /\*\//						# Cè¨èªã¹ã¿ã¤ã«ã®ã³ã¡ã³ãçµäº
-        line.sub!(/^.*?\*\//, "")		# æåã®*/ã«ãããããã */
+      when /\*\//						# C言語スタイルのコメント終了
+        line.sub!(/^.*?\*\//, "")		# 最初の*/にマッチさせる */
         @withinComment = false
       else
@@ -264,8 +248,8 @@
     end
     if !@withinComment
-      line.gsub!(/\/\*.*?\*\//, "")		# Cè¨èªã¹ã¿ã¤ã«ã®ã³ã¡ã³ãã®é¤å»
-										# æåã®*/ã«ãããããã */
+      line.gsub!(/\/\*.*?\*\//, "")		# C言語スタイルのコメントの除去
+										# 最初の*/にマッチさせる */
       case line
-      when /^\s*#/						# ããªãã­ã»ããµãã£ã¬ã¯ãã£ã
+      when /^\s*#/						# プリプロセッサディレクティブ
         if withinApi
           parse_error(self, \
@@ -273,8 +257,8 @@
           line = ""
         end
-      when /\/\*/						# Cè¨èªã¹ã¿ã¤ã«ã®ã³ã¡ã³ãéå§
+      when /\/\*/						# C言語スタイルのコメント開始
         line.sub!(/\/\*.*$/, "")
         @withinComment = true
-      when /\/\//						# C++è¨èªã¹ã¿ã¤ã«ã®ã³ã¡ã³ã
+      when /\/\//						# C++言語スタイルのコメント
         line.sub!(/\/\/.*$/, "")
       end
@@ -293,5 +277,5 @@
 
 #
-#  ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«ã®ãã¼ãµã¼ã¯ã©ã¹
+#  システムコンフィギュレーションファイルのパーサークラス
 #
 class CfgParser
@@ -303,9 +287,9 @@
   def initialize
     @line = ""
-    @skipComma = false						# æ¬¡ã,ã§ããã°èª­ã¿é£ã°ã
-  end
-
-  #
-  #  æå­åæ«ã¾ã§èª­ã
+    @skipComma = false						# 次が,であれば読み飛ばす
+  end
+
+  #
+  #  文字列末まで読む
   #
   def parseString(cfgFile)
@@ -313,15 +297,15 @@
     begin
       case @line
-      when /^([^"]*\\\\)(.*)$/				# \\ã¾ã§èª­ã
+      when /^([^"]*\\\\)(.*)$/				# \\まで読む
         string += $1
         @line = $2
-      when /^([^"]*\\\")(.*)$/				# \"ã¾ã§èª­ã
+      when /^([^"]*\\\")(.*)$/				# \"まで読む
         string += $1
         @line = $2
-      when /^([^"]*\")(.*)$/				# "ã¾ã§èª­ã
+      when /^([^"]*\")(.*)$/				# "まで読む
         string += $1
         @line = $2
         return(string)
-      else									# è¡æ«ã¾ã§èª­ã
+      else									# 行末まで読む
         string += @line + "\n"
         @line = cfgFile.getNextLine(true)
@@ -333,5 +317,5 @@
 
   #
-  #  æå­æ«ã¾ã§èª­ã
+  #  文字末まで読む
   #
   def parseChar(cfgFile)
@@ -339,15 +323,15 @@
     begin
       case @line
-      when /^([^']*\\\\)(.*)$/				# \\ã¾ã§èª­ã
+      when /^([^']*\\\\)(.*)$/				# \\まで読む
         string += $1
         @line = $2
-      when /^([^']*\\\')(.*)$/				# \'ã¾ã§èª­ã
+      when /^([^']*\\\')(.*)$/				# \'まで読む
         string += $1
         @line = $2
-      when /^([^']*\')(.*)$/				# 'ã¾ã§èª­ã
+      when /^([^']*\')(.*)$/				# 'まで読む
         string += $1
         @line = $2
         return(string)
-      else									# è¡æ«ã¾ã§èª­ã
+      else									# 行末まで読む
         string += @line + "\n"
         @line = cfgFile.getNextLine(true)
@@ -359,22 +343,21 @@
 
   #
-  #  æ¹è¡ã¨ç©ºç½æå­ãèª­ã¿é£ã°ã
+  #  改行と空白文字を読み飛ばす
   #
   def skipSpace(cfgFile, withinApi)
     loop do
-      return if @line.nil?						# ãã¡ã¤ã«æ«ã§ããã°ãªã¿ã¼ã³
-      @line.lstrip!								# å
-é ­ã®ç©ºç½ãåé¤
-      return if @line != ""						# ç©ºè¡ã§ãªããã°ãªã¿ã¼ã³
-      @line = cfgFile.getNextLine(withinApi)	# æ¬¡ã®è¡ãèª­ã
-    end
-  end
-
-  #
-  #  æ¬¡ã®æå­ã¾ã§èª­ã¿é£ã°ã
+      return if @line.nil?						# ファイル末であればリターン
+      @line.lstrip!								# 先頭の空白を削除
+      return if @line != ""						# 空行でなければリターン
+      @line = cfgFile.getNextLine(withinApi)	# 次の行を読む
+    end
+  end
+
+  #
+  #  次の文字まで読み飛ばす
   #
   def skipToToken(cfgFile, withinApi=true)
     skipSpace(cfgFile, withinApi)
-    if @line.nil?							# ãã¡ã¤ã«æ«ã§ããã°ã¨ã©ã¼çµäº
+    if @line.nil?							# ファイル末であればエラー終了
       error_exit("unexpexced end-of-file")
     end
@@ -382,18 +365,17 @@
 
   #
-  #  ãã©ã¡ã¼ã¿ã1ã¤èª­ã
-  #
-  # @lineã®å
-é ­ãããã©ã¡ã¼ã¿ã1ã¤èª­ãã§ï¼ãããæå­åã§è¿ãï¼èª­ãã ã
-  # ã©ã¡ã¼ã¿ã¯ï¼@lineããã¯åé¤ããï¼ãã©ã¡ã¼ã¿ã®éä¸­ã§è¡æ«ã«éããæã¯ï¼
-  # cfgFileããæ¬¡ã®è¡ãåãåºãï¼ãã¡ã¤ã«æ«ã«éããæã¯ï¼nilãè¿ãï¼
+  #  パラメータを1つ読む
+  #
+  # @lineの先頭からパラメータを1つ読んで，それを文字列で返す．読んだパ
+  # ラメータは，@lineからは削除する．パラメータの途中で行末に達した時は，
+  # cfgFileから次の行を取り出す．ファイル末に達した時は，nilを返す．
   #
   def parseParam(cfgFile)
-    param = ""								# èª­ãã æå­å
-    parenLevel = 0							# æ¬å¼§ã®ãã¹ãã¬ãã«
+    param = ""								# 読んだ文字列
+    parenLevel = 0							# 括弧のネストレベル
     skipComma = @skipComma
     @skipComma = false
 
-    skipToToken(cfgFile)					# æ¬¡ã®æå­ã¾ã§èª­ã¿é£ã°ã
+    skipToToken(cfgFile)					# 次の文字まで読み飛ばす
     begin
       if parenLevel == 0
@@ -403,5 +385,5 @@
           if param == "" && skipComma
             skipComma = false
-            return(parseParam(cfgFile))		# åå¸°å¼ã³åºã
+            return(parseParam(cfgFile))		# 再帰呼び出し
           else
             return(param.strip)
@@ -418,5 +400,5 @@
           @line = $2
           parenLevel += 1
-        when /^(\s*([)}]))(.*)$/			# }ã)
+        when /^(\s*([)}]))(.*)$/			# }か)
           if param != ""
             return(param.strip)
@@ -432,14 +414,13 @@
           @line = $2
           param += $1 + parseChar(cfgFile)
-        when /^(\s*[^,{}()"'\s]+)(.*)$/		# ãã®ä»ã®æå­å
+        when /^(\s*[^,{}()"'\s]+)(.*)$/		# その他の文字列
           param += $1
           @line = $2
-        else								# è¡æ«
+        else								# 行末
           param += " "
           @line = cfgFile.getNextLine(true)
         end
       else
-        # æ¬å¼§å
-ã®å¦ç
+        # 括弧内の処理
         case @line
         when /^(\s*\()(.*)$/				# "("
@@ -457,8 +438,8 @@
           @line = $2
           param += $1 + parseChar(cfgFile)
-        when /^(\s*[^()"'\s]+)(.*)$/		# ãã®ä»ã®æå­å
+        when /^(\s*[^()"'\s]+)(.*)$/		# その他の文字列
           param += $1
           @line = $2
-        else								# è¡æ«
+        else								# 行末
           param += " "
           @line = cfgFile.getNextLine(true)
@@ -492,10 +473,10 @@
 
   def parseApi(cfgFile, apiName)
-    # éçAPIã®èª­ã¿è¾¼ã¿
+    # 静的APIの読み込み
     staticApi = {}
     tooFewParams = false
     skipUntilBrace = 0
 
-    skipToToken(cfgFile)					# æ¬¡ã®æå­ã¾ã§èª­ã¿é£ã°ã
+    skipToToken(cfgFile)					# 次の文字まで読み飛ばす
     if (/^\((.*)$/ =~ @line)
       @line = $1
@@ -508,8 +489,8 @@
 
       apiDef[:PARAM].each do |apiParam|
-        return(staticApi) if param.nil?		# ãã¡ã¤ã«æ«ã§ããã°ãªã¿ã¼ã³
+        return(staticApi) if param.nil?		# ファイル末であればリターン
 
         if skipUntilBrace > 0
-          # APIå®ç¾©ã}ã¾ã§ã¹ã­ããä¸­
+          # API定義を}までスキップ中
           if apiParam.has_key?(:BRACE)
             case apiParam[:BRACE]
@@ -533,18 +514,18 @@
             staticApi[apiParam[:NAME]].push(getParam(apiParam, param, cfgFile))
             param = parseParam(cfgFile)
-            break if param.nil?				# ãã¡ã¤ã«æ«ã®å ´å
+            break if param.nil?				# ファイル末の場合
           end
         elsif apiParam.has_key?(:OPTBRACE)
           if param == apiParam[:BRACE]
             param = parseParam(cfgFile)
-            break if param.nil?				# ãã¡ã¤ã«æ«ã®å ´å
+            break if param.nil?				# ファイル末の場合
           else
             if param == ""
               param = parseParam(cfgFile)
-              break if param.nil?			# ãã¡ã¤ã«æ«ã®å ´å
+              break if param.nil?			# ファイル末の場合
             elsif /^([})])$/ !~ param
               parse_error(cfgFile, "`{...}' expected before #{param}")
             end
-            skipUntilBrace += 1          	# APIå®ç¾©ã}ã¾ã§ã¹ã­ãã
+            skipUntilBrace += 1          	# API定義を}までスキップ
           end
         elsif !apiParam.has_key?(:BRACE)
@@ -561,5 +542,5 @@
         else
           parse_error(cfgFile, "`#{apiParam[:BRACE]}' expected before #{param}")
-          # )ããã¡ã¤ã«æ«ã¾ã§èª­ã¿é£ã°ã
+          # )かファイル末まで読み飛ばす
           loop do
             param = parseParam(cfgFile)
@@ -570,10 +551,9 @@
       end
 
-      # æå¾
-ããããã©ã¡ã¼ã¿ããã¹ã¦èª­ãã å¾ã®å¦ç
+      # 期待されるパラメータをすべて読んだ後の処理
       if param != ")"
         begin
           param = parseParam(cfgFile)
-          return(staticApi) if param.nil?	# ãã¡ã¤ã«æ«ã§ããã°ãªã¿ã¼ã³
+          return(staticApi) if param.nil?	# ファイル末であればリターン
         end while param != ")"
         parse_error(cfgFile, "too many parameters before `)'")
@@ -587,6 +567,6 @@
 
   def parseOpenBrace(cfgFile)
-    # {ã®èª­ã¿è¾¼ã¿
-    skipToToken(cfgFile)					# æ¬¡ã®æå­ã¾ã§èª­ã¿é£ã°ã
+    # {の読み込み
+    skipToToken(cfgFile)					# 次の文字まで読み飛ばす
     if (/^\{(.*)$/ =~ @line)
       @line = $1
@@ -602,19 +582,18 @@
       cfgFile = cfgFiles.last
 
-      skipSpace(cfgFile, false)				# æ¹è¡ã¨ç©ºç½æå­ãèª­ã¿é£ã°ã
+      skipSpace(cfgFile, false)				# 改行と空白文字を読み飛ばす
       if @line.nil?
-        # ãã¡ã¤ã«æ«ã®å¦ç
+        # ファイル末の処理
         cfgFiles.pop.close
         if cfgFiles.empty?
-          break								# ãã¼ã¹å¦ççµäº
+          break								# パース処理終了
         else
-          @line = ""						# å
-ã®ãã¡ã¤ã«ã«æ»ã£ã¦ç¶ãã
+          @line = ""						# 元のファイルに戻って続ける
         end
       elsif /^;(.*)$/ =~ @line
-        # ;ã¯èª­ã¿é£ã°ã
+        # ;は読み飛ばす
         @line = $1
       elsif /^#/ =~ @line
-        # ããªãã­ã»ããµãã£ã¬ã¯ãã£ããèª­ã
+        # プリプロセッサディレクティブを読む
         case @line
         when /^#include\b(.*)$/
@@ -655,6 +634,5 @@
             if !$domainId.has_key?(domid)
               if $inputObjid.has_key?(domid)
-                # IDçªå·å
-¥åãã¡ã¤ã«ã«å®ç¾©ããã¦ããå ´å
+                # ID番号入力ファイルに定義されていた場合
                 $domainId[domid] = $inputObjid[domid]
                 if $domainId[domid] > 32
@@ -683,10 +661,10 @@
         else
           if $apiDefinition.has_key?(apiName)
-            # éçAPIã1ã¤èª­ã
+            # 静的APIを1つ読む
             staticApi = parseApi(cfgFile, apiName)
             if staticApi.empty?
-              # ãã¡ã¤ã«æ«ãææ³ã¨ã©ã¼
+              # ファイル末か文法エラー
             elsif (staticApi[:APINAME] == "INCLUDE")
-              # INCLUDEã®å¦ç
+              # INCLUDEの処理
               includeFilePath = SearchFilePath(staticApi[:file])
               if includeFilePath.nil?
@@ -697,5 +675,5 @@
               end
             else
-              # éçAPIã®å¦ç
+              # 静的APIの処理
               if !@@currentDomain.nil?
                 staticApi[:DOMAIN] = @@currentDomain
@@ -714,5 +692,5 @@
         end
       elsif (/^\}(.*)$/ =~ @line)
-        # }ã®å¦ç
+        # }の処理
         if @@nestDC.size > 0
           case @@nestDC.pop
@@ -735,9 +713,9 @@
 
 #
-#  cfg1_out.cã®çæ
+#  cfg1_out.cの生成
 #
 module Cfg1OutC
   #
-  #  éçAPIã®ãã¡ã¤ã«åã¨è¡çªå·ã®åºå
+  #  静的APIのファイル名と行番号の出力
   #
   def self.OutLineNumber(cfgInfo)
@@ -746,5 +724,5 @@
 
   #
-  #  ã¯ã©ã¹è¨è¿°ã®ãã¡ã¤ã«åã¨è¡çªå·ã®åºå
+  #  クラス記述のファイル名と行番号の出力
   #
   def self.OutClassLineNumber(cfgInfo)
@@ -753,5 +731,5 @@
 
   #
-  #  ãã©ã¡ã¼ã¿ã«é¢ããå®ç¾©ã®åºå
+  #  パラメータに関する定義の出力
   #
   def self.OutParamDef(param, index, apiParam, cfgInfo)
@@ -767,5 +745,5 @@
 
   #
-  #  cfg1_out.cã®çæï¼ã¡ã¤ã³ã®å¦çï¼
+  #  cfg1_out.cの生成（メインの処理）
   #
   def self.Generate
@@ -778,5 +756,5 @@
 EOS
 
-    # ã¤ã³ã¯ã«ã¼ãããããã¡ã¤ã«
+    # インクルードヘッダファイル
     $includeFiles.each do |file|
       @cfg1Out.add("#include #{file}")
@@ -800,5 +778,5 @@
 EOS
 
-    # å¤åå¾ã·ã³ãã«ã®å¦ç
+    # 値取得シンボルの処理
     $symbolValueTable.each do |symbolName, symbolData|
       if symbolData.has_key?(:BOOL) || symbolData.has_key?(:SIGNED)
@@ -823,5 +801,5 @@
     @cfg1Out.add
 
-    # ãã¡ã¤ã³IDã®å®ç¾©ã®çæ
+    # ドメインIDの定義の生成
     $domainId.each do |domainName, domainVal|
       if domainVal > 0
@@ -831,5 +809,5 @@
     @cfg1Out.add
 
-    # éçAPIï¼ããªãã­ã»ããµãã£ã¬ã¯ãã£ãã®å¦ç
+    # 静的API／プリプロセッサディレクティブの処理
     $cfgFileInfo.each do |cfgInfo|
       if cfgInfo.has_key?(:DIRECTIVE)
@@ -844,5 +822,5 @@
           next unless apiParam.has_key?(:NAME)
           paramName = apiParam[:NAME]
-          next unless cfgInfo.has_key?(paramName)	# ãã©ã¡ã¼ã¿ããªãå ´å
+          next unless cfgInfo.has_key?(paramName)	# パラメータがない場合
           paramData = cfgInfo[paramName]
 
@@ -856,5 +834,5 @@
         end
         if cfgInfo.has_key?(:CLASS)
-          # ã¯ã©ã¹IDã®åå¾ã®ããã®å¦ç
+          # クラスIDの取得のための処理
           OutClassLineNumber(cfgInfo)
           @cfg1Out.add("const signed_t #{CFG1_PREFIX}valueof_CLASS_" \
@@ -868,24 +846,24 @@
 
 #
-#  ãã¹1ã®å¦ç
+#  パス1の処理
 #
 def Pass1
   # 
-  #  ã¿ã¤ã ã¹ã¿ã³ããã¡ã¤ã«ã®æå®
+  #  タイムスタンプファイルの指定
   # 
   $timeStampFileName = CFG1_OUT_TIMESTAMP
 
   #
-  #  éçAPIãã¼ãã«ã®èª­ã¿è¾¼ã¿
+  #  静的APIテーブルの読み込み
   #
   ReadApiTableFile()
 
   #
-  #  å¤åå¾ã·ã³ãã«ãã¼ãã«ã®èª­ã¿è¾¼ã¿
+  #  値取得シンボルテーブルの読み込み
   #
   ReadSymvalTable()
 
   #
-  #  ã·ã¹ãã ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«ã®èª­ã¿è¾¼ã¿
+  #  システムコンフィギュレーションファイルの読み込み
   #
   $cfgFileInfo = []
@@ -896,8 +874,8 @@
     CfgParser.new.parseFile(configFileName)
   end
-  abort if $errorFlag					# ã¨ã©ã¼çºçæã¯abortãã
-
-  #
-  #  ãã¡ã¤ã³IDã®å²å½ã¦å¦ç
+  abort if $errorFlag					# エラー発生時はabortする
+
+  #
+  #  ドメインIDの割当て処理
   #
   nextDomainId = 1
@@ -916,10 +894,10 @@
 
   #
-  #  cfg1_out.cã®çæ
+  #  cfg1_out.cの生成
   #
   Cfg1OutC::Generate()
 
   #
-  #  ä¾å­é¢ä¿ã®åºå
+  #  依存関係の出力
   #
   if !$dependencyFileName.nil?
@@ -946,6 +924,5 @@
 
   #
-  #  ãã¹2ã«å¼ãæ¸¡ãæ
-å ±ããã¡ã¤ã«ã«çæ
+  #  パス2に引き渡す情報をファイルに生成
   #
   if $omitOutputDb.nil?
